ATA_HOST_INTR(9)

NAME
ata_host_intr - Handle host interrupt for given (port, task)

SYNOPSIS

unsigned int ata_host_intr (struct ata_port * ap, struct ata_queued_cmd * qc);

ARGUMENTS

ap  Port on which interrupt arrived (possibly...)

qc  Taskfile currently active in engine

DESCRIPTION

Handle host interrupt for given queued command. Currently, only DMA interrupts are handled. All other commands are handled via polling with interrupts disabled (nIEN bit).

LOCKING

spin_lock_irqsave(host_set lock)

RETURNS

One if interrupt was handled, zero if not (shared irq).

AUTHOR
Jeff Garzik.